commit-inetutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[SCM] GNU Inetutils branch, master, updated. inetutils-1_9_1-248-g4d922


From: Mats Erik Andersson
Subject: [SCM] GNU Inetutils branch, master, updated. inetutils-1_9_1-248-g4d922c0
Date: Sat, 02 Mar 2013 17:10:58 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU Inetutils ".

The branch, master has been updated
       via  4d922c02defe791d49cf57209c9b61fd1803fd0a (commit)
      from  a39da05e1a2eea026deda149d3be4d25d72dffee (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/inetutils.git/commit/?id=4d922c02defe791d49cf57209c9b61fd1803fd0a


commit 4d922c02defe791d49cf57209c9b61fd1803fd0a
Author: Mats Erik Andersson <address@hidden>
Date:   Sat Mar 2 17:43:34 2013 +0100

    Refine transfer sub-test for FTP.

diff --git a/ChangeLog b/ChangeLog
index dd2bca8..effd207 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,14 @@
+2013-03-02  Mats Erik Andersson  <address@hidden>
+
+       Make the FTP transfer test somewhat robuster.
+
+       * tests/ftp-localhost.sh <set-up of DLDIR>:
+       Reset do_transfer as `false' before probing.
+       Add `/tmp' as a candidate subdirectory.
+       Set do_transfer to `true' only with a confirmed
+       writable directory.  Exit with status 99, should
+       TRANSFERTEST be set, but directory search fails.
+
 2013-02-24  Mats Erik Andersson  <address@hidden>
 
        syslogd: Log selectively on program name.
diff --git a/tests/ftp-localhost.sh b/tests/ftp-localhost.sh
index de13851..8c55283 100755
--- a/tests/ftp-localhost.sh
+++ b/tests/ftp-localhost.sh
@@ -155,20 +155,38 @@ fi
 # was found.
 
 if test -z "$DLDIR"; then
-    for DLDIR in /pub /download /downloads /dl / ; do
+    # We depend on detection of a usable subdirectory,
+    # so reactivate this sub-test only with DLDIR known
+    # to be functional.
+
+    do_transfer=false
+
+    for DLDIR in /pub /download /downloads /dl /tmp / ; do
        test -d $FTPHOME$DLDIR || continue
        set -- `ls -ld $FTPHOME$DLDIR`
        # Check owner.
        test "$3" = $FTPUSER || continue
        # Check for write access.
-       test `expr $1 : 'drwx'` -eq 4 && break
+       test `expr $1 : 'drwx'` -eq 4 && do_transfer=true && break
        DLDIR=  # Reset failed value
     done
 
-    test -z "$DLDIR" && do_transfer=false
     test x"$DLDIR" = x"/" && DLDIR=
 fi
 
+# Exit with a hard error, should transfer test be requested,
+# but a suitable subdirectory be missing.
+
+if test "${TRANSFERTEST+yes}" = "yes" && \
+    test $do_transfer = false
+then
+    cat >&2 <<-END
+       There is no writable subdirectory for transfer test.
+       Aborting FTP test completely.
+       END
+    exit 99
+fi
+
 # Note that inetd changes directory to / when --debug is not given so
 # all paths must be absolute for things to work.
 

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog              |   11 +++++++++++
 tests/ftp-localhost.sh |   24 +++++++++++++++++++++---
 2 files changed, 32 insertions(+), 3 deletions(-)


hooks/post-receive
-- 
GNU Inetutils 



reply via email to

[Prev in Thread] Current Thread [Next in Thread]